API Reference
Create Booking
Creates a new booking for a specific event and owner. The request requires the event_id, and guest details. If successful, the API responds with 201 Created and returns a unique booking_id representing the newly created booking.
POST
/
calendars
/
bookings
Create Booking
curl --request POST \
--url https://api.calendbook.com/calendars/bookings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"booking_date_time": "2023-11-07T05:31:56Z",
"event_id": "<string>",
"guest": {
"name": "<string>",
"email": "jsmith@example.com",
"timezone": "<string>"
},
"notes": "<string>"
}
'import requests
url = "https://api.calendbook.com/calendars/bookings"
payload = {
"booking_date_time": "2023-11-07T05:31:56Z",
"event_id": "<string>",
"guest": {
"name": "<string>",
"email": "jsmith@example.com",
"timezone": "<string>"
},
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
booking_date_time: '2023-11-07T05:31:56Z',
event_id: '<string>',
guest: {name: '<string>', email: 'jsmith@example.com', timezone: '<string>'},
notes: '<string>'
})
};
fetch('https://api.calendbook.com/calendars/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"booking_id": "4a9c017b-8d6c-4bee-9d49-a179cad49c5"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Booking created
Was this page helpful?
⌘I
Create Booking
